import { aliasOrIdentifier } from "./select.js";
export type IndexColumn = {
    name: string;
    collate: string;
    sort: string;
};
export declare class Index {
    schemaName: string;
    indexName: string;
    tableName: string;
    where: string;
    columns: IndexColumn[];
    unique: boolean;
    optional: boolean;
    isValid(): boolean;
    build(): string;
}
export declare function parseIndex(createIndexExpr: string): Index;
export declare function findSingleColumnUniqueIndex(indexes: string[], column: string): [Index, boolean];
export declare function hasSingleColumnUniqueIndex(column: string, indexes: string[]): boolean;
export { aliasOrIdentifier };
